Get a Queue
curl --request GET \
--url https://api.social-api.ai/v1/queues/{qid} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.social-api.ai/v1/queues/{qid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/queues/{qid}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"active": true,
"brand_id": "<string>",
"created_at": "<string>",
"id": "que_01J9Z8Y7X6W5V4T3S2R1Q0P9N8",
"is_default": true,
"name": "Evenings",
"slots": [
{
"day": "tuesday",
"time": "19:00"
}
],
"timezone": "Europe/Paris",
"updated_at": "<string>"
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
},
"request_id": "01HZ9X3Q4R5M6N7P8V2K0W1J"
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
},
"request_id": "01HZ9X3Q4R5M6N7P8V2K0W1J"
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
},
"request_id": "01HZ9X3Q4R5M6N7P8V2K0W1J"
}Queues
Get a Queue
Returns one Queue.
GET
/
queues
/
{qid}
Get a Queue
curl --request GET \
--url https://api.social-api.ai/v1/queues/{qid} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.social-api.ai/v1/queues/{qid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/queues/{qid}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"active": true,
"brand_id": "<string>",
"created_at": "<string>",
"id": "que_01J9Z8Y7X6W5V4T3S2R1Q0P9N8",
"is_default": true,
"name": "Evenings",
"slots": [
{
"day": "tuesday",
"time": "19:00"
}
],
"timezone": "Europe/Paris",
"updated_at": "<string>"
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
},
"request_id": "01HZ9X3Q4R5M6N7P8V2K0W1J"
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
},
"request_id": "01HZ9X3Q4R5M6N7P8V2K0W1J"
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
},
"request_id": "01HZ9X3Q4R5M6N7P8V2K0W1J"
}Authorizations
Prefix your API key with "Bearer ". Example: Authorization: Bearer sapi_key_...
Path Parameters
Queue ID
Response
OK
False when the Queue is paused: no new post can join it.
Example:
true
ID of the Brand the Queue belongs to.
When the Queue was created.
Queue ID.
Example:
"que_01J9Z8Y7X6W5V4T3S2R1Q0P9N8"
True for the Brand's default Queue, the one queue_id "default" refers to.
Example:
true
Queue name.
Example:
"Evenings"
Weekly posting times, sorted by day (Monday first) then time.
Show child attributes
Show child attributes
IANA timezone the slots are expressed in.
Example:
"Europe/Paris"
When the Queue was last changed.